<?php
// ===================================================================
// Soder's Pastebin
// Copyright (C) 2007-2008  Fredrik Sderlund

// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.

// You should have received a copy of the GNU Affero General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>. 
// ===================================================================

// Start timer
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1);

ob_start(); // Caching output.

define('SECURE', true); // Set security constant

$config = parse_ini_file("config.ini", true); // Include config.ini.

require_once('includes/errorhandling.php'); // Include error handling functions.

check_config($config); // Check config for errors.

require_once('includes/dbconnect.php'); // Connect to the database. $db_link is created.
require_once('includes/common.php');

// Use UTF-8
header('Content-Type: text/html; charset=utf-8');

// Disable browser cache
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Pragma: no-cache");

if(get_magic_quotes_gpc()){ //strip all slashes if nessesary
    $_POST      = stripslashes_deep($_POST); 
    $_GET       = stripslashes_deep($_GET);
    $_COOKIE    = stripslashes_deep($_COOKIE);
}

if (!isset($_POST['Send'])){
    if ($_GET['p'] == null) {
        include_once('includes/main.php');
    }
    elseif ($_GET['p'] == 'admin') {
        include_once('includes/admin.php');
    }
    elseif ($_GET['p'] == 'about') {
        include_once('includes/about.php');
    }
    elseif ($_GET['p'] == 'contact') {
        include_once('includes/contact.php');
    }
    elseif (strlen($_GET['o']) == 9) {
        require_once 'includes/diff.php';
    }
    else {
        include_once('includes/view.php');
    }
}
else {
    include_once('includes/add.php');
}

// error_report('error test', 0);	// test error handling 

// If no errors, print page from cache. Else, print errors.
if (error_count() == 0) {
	ob_end_flush();
}
else { // error
	error_print();
}
?>